# Get Staking Order Endpoint: GET /staking/v5/stakingOrders/{id} Version: 1.5.0 Security: ## Path parameters: - `id` (string, required) Order ID or number. ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `id` (string) Unique identifier. - `amount` (number) Amount to move from debit to credit account. - `assetSymbol` (string) Symbol corresponding to the TokenMaster asset. - `orderNumber` (string) User-friendly, uniquely assigned order number. Can be found as an external reference for staking order in other systems. - `fromAccountNumber` (string) Account that is credited. - `toAccountNumber` (string,null) Account that is credited. - `customerNumber` (integer) Customer that owns the accounts. - `createdOn` (string) Timestamp for when the order was stored in the database. - `estimatedEffectuatedTime` (string,null) Timestamp for when no-reward (entries) or reward period (exits) has ended. - `estimatedCompletedTime` (string,null) Timestamp for when locking has ended. - `effectuated` (boolean) True if internal state is Effectuated or Released. - `state` (string) State of the order. Enum: "Open", "Processing", "Completed", "Cancelled" - `type` (string) Type: Entrance or exit. Enum: "Unknown", "Entry", "Exit" - `externalComment` (string,null) External comment. - `transactionReference` (string,null) Transaction reference. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 204 fields ## Response 401 fields ## Response 403 fields